<?php
die();
function limpa_valor($valor){

  $valor = str_replace("R$","", $valor);
  $valor = str_replace(".","", $valor);
  $valor = str_replace(",",".", $valor);

  return $valor;
}

  include "conexao.php";
      $query_conta = "SELECT * FROM parcelas WHERE valor_recebido like '%,%'";
      $executa_conta = mysqli_query ($db,$query_conta) or die ("Erro ao listar empreendimento");


            while ($buscar_conta = mysqli_fetch_assoc($executa_conta)) {//--verifica se são amigos

             $valor_recebido         = $buscar_conta['valor_recebido'];    
             $parcela_id         = $buscar_conta['idparcelas'];    


             $valor_recebido = limpa_valor($valor_recebido);

          //   echo $valor_recebido."<br>";

             $update = mysqli_query($db, "UPDATE parcelas SET valor_recebido = '$valor_recebido' WHERE idparcelas = $parcela_id");


         }

 ?>